#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-application
Version		:	3.0.6
Release		:	14.4.0.0%{?dist}
Summary		:	collection of modules that are useful when building python

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://icanblink.com
			# https://github.com/AGProjects/python3-application

Source0		:	%{name}-%{version}.tar.gz
 

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This package is a collection of modules that are useful when building python
applications. Their purpose is to eliminate the need to divert resources into
implementing the small tasks that every application needs to do in order to
run successfully and focus instead on the application logic itself.

The modules that the application package provides are:

1. process       - UNIX process and signal management.
2. python        - python utility classes and functions.
3. configuration - a simple interface to handle configuration files.
4. log           - an extensible system logger for console and syslog.
5. debug         - memory troubleshooting and execution timing.
6. system        - interaction with the underlying operating system.
7. notification  - an application wide notification system.
8. version       - manage version numbers for applications and packages.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README NEWS
%license LICENSE
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/configuration/*.py
%{python3_sitelib}/%{sname}/configuration/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/debug/*.py
%{python3_sitelib}/%{sname}/debug/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/log/*.py
%{python3_sitelib}/%{sname}/log/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/log/extensions/*.py
%{python3_sitelib}/%{sname}/log/extensions/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/log/extensions/twisted/*.py
%{python3_sitelib}/%{sname}/log/extensions/twisted/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/python/*.py
%{python3_sitelib}/%{sname}/python/__pycache__/*.pyc
%{python3_sitelib}/python3_%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{name}-release-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}						\
	-m installer					\
	--destdir %{buildroot}				\
	dist/*.whl

#-----------------------------------------------------------------------------
%changelog
